Bug 1578647 - If parallel-readdir is enabled, the readdir-optimize option even when it is set to on it behaves as off
Summary: If parallel-readdir is enabled, the readdir-optimize option even when it is s...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: read-ahead
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: RHGS 3.4.0
Assignee: Poornima G
QA Contact: Prasad Desala
URL:
Whiteboard:
Depends On:
Blocks: 1503137 1578650
TreeView+ depends on / blocked
 
Reported: 2018-05-16 05:29 UTC by Prasad Desala
Modified: 2018-09-17 11:17 UTC (History)
5 users (show)

Fixed In Version: glusterfs-3.12.2-11
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1578650 (view as bug list)
Environment:
Last Closed: 2018-09-04 06:48:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:49:57 UTC

Description Prasad Desala 2018-05-16 05:29:00 UTC
Description of problem:
=======================
While trying to reproduce https://bugzilla.redhat.com/show_bug.cgi?id=1529072 on a build older than the fix, it is found that if parallel-readdir is enabled, the readdir-optimize option even when it is set to on it is behaving as off.

Version-Release number of selected component (if applicable):
3.12.2-9.el7rhgs.x86_64

How reproducible:
always

Steps to Reproduce:
===================
There are no specific steps to reproduce this issue. It can be reproduced by attaching gdb or by looking at tcpdump wireshark.

Actual results:
================
When parallel-readdir is enabled, the readdir-optimize option when set to on it is behaving as off.

Expected results:
=================
When parallel-readdir is enabled, the readdir-optimize option when set to on should continue as on.

Comment 2 Poornima G 2018-05-16 05:40:34 UTC
Patch posted Upstream: https://review.gluster.org/20026, and i think its hdoul be taken for 3.4 as its a regression that can disable readdir-optimize option.

Comment 8 Prasad Desala 2018-05-22 08:56:14 UTC
Verified this BZ on glusterfs version 3.12.2-11.el7rhgs.x86_64 using wireshark.

Followed below steps,
1) Created a distributed volume and started it.
2) Enabled parallel-readdir and readdir-optimize.
3) FUSE mounted the volume on a client and created directories (lets say terminal-1).
4) From the same client another terminal (terminal-2), started collecting statedump using below command
"tcpdump -n  -tttt -w glusterfs.pcap -i any  -s 0  tcp"
5) from client terminal-1, run 'ls' command and once the ls command succeeds stop collecting statedump.
6) Analyse the statedumps using wireshark.

After analyzing the statedump using wireshark, it was confirmed that the requests were sent between first brick of the volume and the client which should be the expected behavior.

Hence, moving this BZ to Verified state.

Comment 9 errata-xmlrpc 2018-09-04 06:48:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.